Flext in-/outlet functions

## Modules

| Announce in-/outlet functions
| Miscellanous in-/outlet functionality
| Output data to inlets/outlets
| Low-priority output of data to inlets/outlets
| Output of data to inlets/outlets of this object
| Output of data via message bundles
| These are used to assure the sending of several messages from a second thread to the same logical time.

## Functions

void | flext_base::MsgAddBang (MsgBundle *mb, int n) const
| Output bang (index n starts with 0) More...
void | flext_base::MsgAddFloat (MsgBundle *mb, int n, float f) const
| Output float (index n starts with 0) More...
void | flext_base::MsgAddInt (MsgBundle *mb, int n, int f) const
| Output integer (index n starts with 0) More...
void | flext_base::MsgAddBool (MsgBundle *mb, int n, bool f) const
| Output boolean (index n starts with 0) More...
void | flext_base::MsgAddDouble (MsgBundle *mb, int n, double d) const
| Output double (index n starts with 0) More...
void | flext_base::MsgAddSymbol (MsgBundle *mb, int n, const t_symbol *s) const
| Output symbol (index n starts with 0) More...
void | flext_base::MsgAddString (MsgBundle *mb, int n, const char *s) const
| Output string aka symbol (to appointed outlet) More...
void | flext_base::MsgAddAtom (MsgBundle *mb, int n, const t_atom &at) const
| Output atom (index n starts with 0) More...
void | flext_base::MsgAddList (MsgBundle *mb, int n, int argc, const t_atom *argv) const
| Output list (index n starts with 0) More...
void | flext_base::MsgAddList (MsgBundle *mb, int n, const AtomList &list) const
| Output list (index n starts with 0) More...
void | flext_base::MsgAddAnything (MsgBundle *mb, int n, const t_symbol *s, int argc, const t_atom *argv) const
| Output anything (index n starts with 0) More...
void | flext_base::MsgAddAnything (MsgBundle *mb, int n, const AtomAnything &any) const
| Output anything (index n starts with 0) More...
void | flext_base::MsgSelfBang (MsgBundle *mb, int n) const
void | flext_base::MsgSelfFloat (MsgBundle *mb, int n, float f) const
| Send float to self (inlet n) More...
void | flext_base::MsgSelfInt (MsgBundle *mb, int n, int f) const
| Send integer to self (inlet n) More...
void | flext_base::MsgSelfBool (MsgBundle *mb, int n, bool f) const
| Send boolean to self (inlet n) More...
void | flext_base::MsgSelfDouble (MsgBundle *mb, int n, double d) const
| Output double (index n starts with 0) More...
void | flext_base::MsgSelfSymbol (MsgBundle *mb, int n, const t_symbol *s) const
| Send symbol to self (inlet n) More...
void | flext_base::MsgSelfString (MsgBundle *mb, int n, const char *s) const
| Send string aka symbol to self (inlet 0) More...
void | flext_base::MsgSelfAtom (MsgBundle *mb, int n, const t_atom &at) const
| Output atom (index n starts with 0) More...
void | flext_base::MsgSelfList (MsgBundle *mb, int n, int argc, const t_atom *argv) const
| Send list to self (inlet n) More...
void | flext_base::MsgSelfList (MsgBundle *mb, int n, const AtomList &list) const
| Send list to self (inlet n) More...
void | flext_base::MsgSelfAnything (MsgBundle *mb, int n, const t_symbol *s, int argc, const t_atom *argv) const
| Send anything to self (inlet n) More...
void | flext_base::MsgSelfAnything (MsgBundle *mb, int n, const AtomAnything &any) const
| Send anything to self (inlet n) More...
unsigned long | flext_base::XletCode (xlettype tp=xlet_none,...)
| get a code for a list of inlets or outlets More...
void | flext_base::AddInlets (unsigned long code)
| Add some inlets by a special code representing the types. More...
void | flext_base::AddInlet (xlettype tp, int mult=1, const char *desc=NULL)
| Add one or more inlet(s) More...
void | flext_base::AddOutlets (unsigned long code)
| Add some inlets by a special code representing the types. More...
void | flext_base::AddOutlet (xlettype tp, int mult=1, const char *desc=NULL)
| Add one or more outlet(s) More...
void | flext_base::DescInlet (int ix, const char *desc)
| Set the description of an indexed inlet. More...
void | flext_base::DescOutlet (int ix, const char *desc)
| Set the description of an indexed outlet. More...

## Detailed Description

Note
  These must be called in the class' constructor
  All (also default) inlets must be defined

## Function Documentation

## AddInlet()

void flext_base::AddInlet | ( | xlettype | tp,
|  | int | mult = `1`,
|  | const char * | desc = `NULL`
| ) |  |

protected

Add one or more inlet(s)

## AddInlets()

void flext_base::AddInlets | ( | unsigned long | code | ) |

protected

Add some inlets by a special code representing the types.

Remarks
  use XletCode function to get code value

## AddOutlet()

void flext_base::AddOutlet | ( | xlettype | tp,
|  | int | mult = `1`,
|  | const char * | desc = `NULL`
| ) |  |

protected

Add one or more outlet(s)

## AddOutlets()

void flext_base::AddOutlets | ( | unsigned long | code | ) |

protected

Add some inlets by a special code representing the types.

Remarks
  use XletCode function to get code value

## DescInlet()

void flext_base::DescInlet | ( | int | ix,
|  | const char * | desc
| ) |  |

protected

Set the description of an indexed inlet.

## DescOutlet()

void flext_base::DescOutlet | ( | int | ix,
|  | const char * | desc
| ) |  |

protected

Set the description of an indexed outlet.

## MsgAddAnything() [1/2]

void flext_base::MsgAddAnything | ( | MsgBundle * | mb,
|  | int | n,
|  | const AtomAnything & | any
| ) |  | const

inline

Output anything (index n starts with 0)

## MsgAddAnything() [2/2]

void flext_base::MsgAddAnything | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

Output anything (index n starts with 0)

## MsgAddAtom()

void flext_base::MsgAddAtom | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_atom & | at
| ) |  | const

Output atom (index n starts with 0)

## MsgAddBang()

void flext_base::MsgAddBang | ( | MsgBundle * | mb,
|  | int | n
| ) |  | const

Output bang (index n starts with 0)

## MsgAddBool()

void flext_base::MsgAddBool | ( | MsgBundle * | mb,
|  | int | n,
|  | bool | f
| ) |  | const

inline

Output boolean (index n starts with 0)

## MsgAddDouble()

void flext_base::MsgAddDouble | ( | MsgBundle * | mb,
|  | int | n,
|  | double | d
| ) |  | const

inline

Output double (index n starts with 0)

## MsgAddFloat()

void flext_base::MsgAddFloat | ( | MsgBundle * | mb,
|  | int | n,
|  | float | f
| ) |  | const

Output float (index n starts with 0)

## MsgAddInt()

void flext_base::MsgAddInt | ( | MsgBundle * | mb,
|  | int | n,
|  | int | f
| ) |  | const

Output integer (index n starts with 0)

## MsgAddList() [1/2]

void flext_base::MsgAddList | ( | MsgBundle * | mb,
|  | int | n,
|  | const AtomList & | list
| ) |  | const

inline

Output list (index n starts with 0)

## MsgAddList() [2/2]

void flext_base::MsgAddList | ( | MsgBundle * | mb,
|  | int | n,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

Output list (index n starts with 0)

## MsgAddString()

void flext_base::MsgAddString | ( | MsgBundle * | mb,
|  | int | n,
|  | const char * | s
| ) |  | const

inline

Output string aka symbol (to appointed outlet)

## MsgAddSymbol()

void flext_base::MsgAddSymbol | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_symbol * | s
| ) |  | const

Output symbol (index n starts with 0)

## MsgSelfAnything() [1/2]

void flext_base::MsgSelfAnything | ( | MsgBundle * | mb,
|  | int | n,
|  | const AtomAnything & | any
| ) |  | const

inline

Send anything to self (inlet n)

## MsgSelfAnything() [2/2]

void flext_base::MsgSelfAnything | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

inline

Send anything to self (inlet n)

## MsgSelfAtom()

void flext_base::MsgSelfAtom | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_atom & | at
| ) |  | const

inline

Output atom (index n starts with 0)

## MsgSelfBang()

void flext_base::MsgSelfBang | ( | MsgBundle * | mb,
|  | int | n
| ) |  | const

inline

## MsgSelfBool()

void flext_base::MsgSelfBool | ( | MsgBundle * | mb,
|  | int | n,
|  | bool | f
| ) |  | const

inline

Send boolean to self (inlet n)

## MsgSelfDouble()

void flext_base::MsgSelfDouble | ( | MsgBundle * | mb,
|  | int | n,
|  | double | d
| ) |  | const

inline

Output double (index n starts with 0)

## MsgSelfFloat()

void flext_base::MsgSelfFloat | ( | MsgBundle * | mb,
|  | int | n,
|  | float | f
| ) |  | const

inline

Send float to self (inlet n)

## MsgSelfInt()

void flext_base::MsgSelfInt | ( | MsgBundle * | mb,
|  | int | n,
|  | int | f
| ) |  | const

inline

Send integer to self (inlet n)

## MsgSelfList() [1/2]

void flext_base::MsgSelfList | ( | MsgBundle * | mb,
|  | int | n,
|  | const AtomList & | list
| ) |  | const

inline

Send list to self (inlet n)

## MsgSelfList() [2/2]

void flext_base::MsgSelfList | ( | MsgBundle * | mb,
|  | int | n,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

inline

Send list to self (inlet n)

## MsgSelfString()

void flext_base::MsgSelfString | ( | MsgBundle * | mb,
|  | int | n,
|  | const char * | s
| ) |  | const

inline

Send string aka symbol to self (inlet 0)

## MsgSelfSymbol()

void flext_base::MsgSelfSymbol | ( | MsgBundle * | mb,
|  | int | n,
|  | const t_symbol * | s
| ) |  | const

inline

Send symbol to self (inlet n)

## XletCode()

unsigned long flext_base::XletCode | ( | xlettype | tp = `xlet_none`,
|  |  | ...
| ) |  |

protected

get a code for a list of inlets or outlets